﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BoundObject : MonoBehaviour {

	private Rigidbody rb;
	// SpeedChaker側で落下侵入速度お測定し、速度超過ならtrueになる
	public bool isBound = false;

	void OnCollisionEnter(Collision c) {
		if(isBound) {
			rb = c.gameObject.GetComponent<Rigidbody>();
			var mps = 2000 * (1000f / 3600f);
			var v = transform.up * mps;	// 進む方向
			var force = (rb.mass * rb.drag * v) / (1f - rb.drag * Time.fixedDeltaTime);
			rb.AddForce(force);
		}
	}

}
