﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ItemBean : MonoBehaviour {

	private GameObject gameManagerObject;
	private GameManager gameManager;

	public int itemValue = 1;

	void Start() {
		gameManagerObject = GameObject.Find("GameManager");
		gameManager = gameManagerObject.GetComponent<GameManager>();
	}

	// トリガーとの接触時に呼ばれるコールバック
	void OnTriggerEnter (Collider hit)
	{
		// 接触対象はPlayerタグですか？
		if (hit.CompareTag ("Player")) {

			//GetComponent<AudioSource>().Play();
			gameManager.score += itemValue;
			Destroy(gameObject);
		}
	}
}
