﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpeedChecker : MonoBehaviour {
	// bound オブジェクトのchildにすること
	[Range(0, 10)] public float judgeOverSpeed = 2.0f;
	private Rigidbody rb;
	private GameObject parent;
	private BoundObject boundObj;

	void Start() {
		parent = gameObject.transform.parent.gameObject;
		boundObj = parent.GetComponent<BoundObject>();
	}

	void OnTriggerEnter(Collider c) {
		Debug.Log("Bound");
		rb = c.gameObject.GetComponent<Rigidbody>();
		if( -judgeOverSpeed > rb.velocity.y ) {
			Debug.Log("落下スピード超過!");
			Debug.Log(rb.velocity.y);
			boundObj.isBound = true;
		} else {
			boundObj.isBound = false;
		}
	}

}
