﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EffwaveManager : MonoBehaviour {

	public float power;

	public float minSpeed;
	public float maxSpeed;
	public float minSize;
	public float maxSize;
	public float minRate;
	public float maxRate;

	private float speed;
	private float size;
	private float rate;

	ParticleSystem ps;


	// Use this for initialization
	void Start () {
		ps = GetComponent<ParticleSystem>();

		power = 0f;
	}
	
	// Update is called once per frame
	void Update () {
		if(ps){
			if(power > 0.1f){
				speed = (maxSpeed - minSpeed)*power + minSpeed;
				size = (maxSize - minSize)*power + minSize;
				rate = (maxRate - minRate) *power +maxRate;
			}
			else{
				speed = 0f;
				size = 0f;
				rate = 0f;
			}
			var main = ps.main;
			main.startSpeed = speed;
			main.startSize = size;
			var emission = ps.emission;
			emission.rateOverTime = rate;
		}

	}
}
