﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ResultDisplay : MonoBehaviour {
	public GameObject resultTextObject;
	public GameObject gameManagerObject;

	private GameManager gameManager;
	private TextMesh tetxMesh;

	// Use this for initialization
	void Start () {
		gameManager = gameManagerObject.GetComponent<GameManager>();
		tetxMesh = resultTextObject.GetComponent<TextMesh>();
	}
	
	// Update is called once per frame
	void Update () {
		tetxMesh.text = "Score " + gameManager.score;
	}
}
