﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class GameManager : MonoBehaviour
{
    public static GameManager instance;

	public int score = 0;
	public Text scoreText;
	public Text goalText;
	public Text fuelText;

	public float fuel = 100000.0f;

    public int FlagCount = 0;
    public int ItemCount = 0;

    public bool isGoal;


    void Start()
    {
        score = 0;
        isGoal = false;

        if (instance == null)
        {
            instance = this;
            DontDestroyOnLoad(this);
        }

    }

    void Update () {
    }

	// PlayerController2 側から呼び出し、燃料が切れたらtrueを返す
	public bool useFuel(float value) {
		fuel -= value;
		if( value <= 0 ) {
			fuel = 0;
			return true;
		}
		return false;
	}


	void FixedUpdate() {
        //scoreText.text = "Score : " + score;
        if (fuelText != null)
        {
            fuelText.text = "Fuel : " + fuel;
        }

        if (isGoal) {
            Debug.Log("ゴールだよ");
            //goalText.gameObject.SetActive(true);
            // ゴール後の処理
            //isGoal = false;

            isGoal = false;

            GameObject.Find("Manager").GetComponent<LevelManager>().LoadLevel("GameClear");
        }
	}
}
